package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.AppLogin;

/**
 * app登录用户Service接口
 *
 * @author ruoyi
 * @date 2023-08-04
 */
public interface IAppLoginService extends IService<AppLogin>
{
    /**
     * APP登录
     * @param userName
     * @param password
     * @return
     */
    public AjaxResult loginForApp(String userName, String password);
    /**
     * 查询app登录用户
     *
     * @param id app登录用户主键
     * @return app登录用户
     */
    public AppLogin selectAppLoginById(String id);


    /**
     * 新增app登录用户
     *
     * @param appLogin app登录用户
     * @return 结果
     */
    public int insertAppLogin(AppLogin appLogin);

    /**
     * 修改app登录用户
     *
     * @param appLogin app登录用户
     * @return 结果
     */
    public int updateAppLogin(AppLogin appLogin);

    /**
     * 批量删除app登录用户
     *
     * @param ids 需要删除的app登录用户主键集合
     * @return 结果
     */
    public int deleteAppLoginByIds(String[] ids);

    /**
     * 删除app登录用户信息
     *
     * @param id app登录用户主键
     * @return 结果
     */
    public int deleteAppLoginById(String id);

    /**
     * 根据PC用户ID查询APP用户对象
     * @param userId
     * @return
     */
    AppLogin selectAppLoginByUserId(Long userId);
    /**
     * 根据承包商用户ID查询APP用户对象
     *
     * @param contractorUserId
     * @return
     */
    AppLogin selectAppLoginByContractorUserId(String contractorUserId);
}
